/**
**************************************************************************
* @file app_init.h
* @brief Файл с функцией инициализации программы МК @ref app_init.
**************************************************************************/
#include "mcu_wrapper_conf.h"
#include "app_wrapper.h"

/**
  * @brief Функция для инициализации приложения МК
  * @details Используется в случае симуляции без отдельного потока для main().
  */
void app_init(void) {
// USER APP INIT START
// Код для инициализации приложения МК
//
// Вызов разных функций в случае, 
// если не используется отдельный поток для main().
  HAL_Init();
  MX_DMA_Init();
  MX_IWDG_Init();
  MX_TIM1_Init();
  MX_TIM2_Init();
  MX_TIM3_Init();
  MX_TIM8_Init();
  MX_TIM5_Init();
  MX_ADC3_Init();
  UPP_Params_SetDefault(1, 1);
  UPP_App_Init();
  UPP_PreWhile();
  UPP_DO.CEN(DISABLE);

// USER APP INIT END
}


/**
  * @brief Функция для деинициализации приложения МК
  */
void app_deinit(void) {
// USER APP DEINIT START
// Код для деинициализации приложения МК
//
// Структуры, переменные и так далее, которые надо очистить,
// для повторного запуска симуляции.
deInitialize_MCU();
// USER APP DEINIT END
}